Skip to main content
GET
/
debates
/
{slug}
/
history
Get prediction history
curl --request GET \
  --url https://api.trythinkbase.com/v1/debates/{slug}/history \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "option_text": "Yes",
      "predictor_count": 89,
      "prediction_percentage": 62.5,
      "captured_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-Key
string
header
default:your-api-key-here
required

Your Thinkbase API key. Get one at https://platform.trythinkbase.com.

Path Parameters

slug
string
required

Query Parameters

from
string<date-time>

Start of date range (ISO 8601).

to
string<date-time>

End of date range (ISO 8601).

Response

Array of prediction snapshots (not paginated).

data
object[]